# betterplace-content

Jekyll theme for betterplace content pages.

## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "betterplace-content"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: betterplace-content
```

And then execute:

    $ bundle

## Development

To set up your environment to develop this theme, run the bootstrap script. Note that
this will check out **all** betterplace content repositories and install their bundles

Your theme is setup just like a normal Jekyll site! To test your theme, run `bundle exec jekyll serve`
and open your browser at `http://localhost:4000`. 
This starts a Jekyll server using your theme. Add pages, documents, data, etc. like normal to test 
your theme's contents. As you make modifications to your theme and to your content, 
your site will regenerate and you should see the changes in the browser after a refresh, just like normal.

When your theme is released, only the files in `_layouts`, `_includes`, and `_sass` tracked with Git will be released.

## Release a new version

There are a number of script to deal with the messy setup of our content pages. Since the theme is used
in **all** betterplace content pages, there are a number of scripts in `scripts` to make things
a little easier. Read the comments in those scripts to find out what they do.

You can run `script/release-theme` to **attempt an automated update of everything**. This will

* Bump the version number of the theme
* Release the theme to rubygems.org
* Wait for it to appear
* Attempt to update all "content" repositories to use the new theme

The last step can easily fail. If it does, you can safely re-run
`script/update-dependencies` as often as you like. Do not re-run the
release script after the gem was released, or you'll create a new version on
github every time.

